/*
 * 文 件 名:  OpEnergyStrategyExecLogServiceImpl
 * 版    权:  华设设计集团股份有限公司
 * 描    述:  <描述>
 * 修 改 人:  lvwenbin
 * 修改时间:  2025/11/27
 * 跟踪单号:  <跟踪单号>
 * 修改单号:  <修改单号>
 * 修改内容:  <修改内容>
 */
package com.ruoyi.ems.service.impl;

import com.ruoyi.ems.domain.OpEnergyStrategyExecLog;
import com.ruoyi.ems.domain.OpEnergyStrategyStepLog;
import com.ruoyi.ems.mapper.OpEnergyStrategyExecLogMapper;
import com.ruoyi.ems.mapper.OpEnergyStrategyStepLogMapper;
import com.ruoyi.ems.service.IOpEnergyStrategyExecLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 策略执行日志Service实现
 * <功能详细描述>
 *
 * @author lvwenbin
 * @version [版本号, 2025/11/27]
 * @see [相关类/方法]
 * @since [产品/模块版本]
 */
@Service
public class OpEnergyStrategyExecLogServiceImpl implements IOpEnergyStrategyExecLogService {
    @Autowired
    private OpEnergyStrategyExecLogMapper execLogMapper;

    @Autowired
    private OpEnergyStrategyStepLogMapper stepLogMapper;

    @Override
    public List<OpEnergyStrategyExecLog> selectExecLogList(OpEnergyStrategyExecLog execLog) {
        return execLogMapper.selectExecLogList(execLog);
    }

    @Override
    public OpEnergyStrategyExecLog selectByExecId(String execId) {
        return execLogMapper.selectByExecId(execId);
    }

    @Override
    public List<OpEnergyStrategyExecLog> selectByStrategyCode(String strategyCode) {
        return execLogMapper.selectByStrategyCode(strategyCode);
    }

    @Override
    public int insertExecLog(OpEnergyStrategyExecLog execLog) {
        return execLogMapper.insertExecLog(execLog);
    }

    @Override
    public int updateExecLog(OpEnergyStrategyExecLog execLog) {
        return execLogMapper.updateExecLog(execLog);
    }

    @Override
    public int deleteExecLog(Long id) {
        return execLogMapper.deleteExecLog(id);
    }

    @Override
    public List<OpEnergyStrategyStepLog> selectStepLogsByExecId(String execId) {
        return stepLogMapper.selectByExecId(execId);
    }
}